sane-backends 1.0.24-4ubuntu1 source package in Ubuntu

Changelog

sane-backends (1.0.24-4ubuntu1) vivid; urgency=low

  * Merge with Debian, remaining changes
    - Demote libsane-extras* from Recommends to Suggests, as long as this
      package is in universe.
    - Demote sane-utils from Recommends to Suggests. We do not want to have
      an init script for saned laying around, which is disabled by default
      anyway.
    - debian/rules, debian/sane-utils.saned.init: Don't call init script on
      shutdown, it's unnecessary.
    - disable_v4l.patch, fix_avahi_error_paths.patch: See patch headers.
    - Update patches which patch Makefile.in to also patch .am.

sane-backends (1.0.24-4) unstable; urgency=medium

  * debian/rules:
    - Move the creation of /etc/sane.d/dll.d to libsane-common.
  * Move libsane.(postrm|preinst) to libsane-common.* to handle
    in the right package. (Closes: #766340)
  * Remose useless ( <  "1.0.19-25" ) from libsane-common.preinst.
  * debian/patches:
    - New typo.patch:
      + Correct typo in backend/gennesys.conf.in. (Closes: #743848)
        Thanks to Jakub Wilk <email address hidden>.
    - New hp3900.patch:
      + Set startup gamma to the standalone default. (Closes: #629470)
        Thanks to Peter Walser <email address hidden>.
    - New hp5370c.patch:
      + Improved recognizability. (LP: #1080787)
    - New out_of_bounds.patch:
      + Prevent some out-of-bounds.
  * debian/control:
    - Change Build-Depends from the transitional package libgphoto2-2-dev
      to libgphoto2-dev. (Closes: #736451)

sane-backends (1.0.24-3) unstable; urgency=medium

  * debian/rules:
    - Revert moving of HTML documentation to previous method to fix FTBFS
      and simply delete duplicate HTML files afterwards. (Closes: #765339)

sane-backends (1.0.24-2) unstable; urgency=medium

  * New Maintainer. (Closes: #764198)
  * debian/control:
    - Set myself as Maintainer.
    - Add missing Vcs-* fields.
    - Bump Standards-Version to 3.9.6 (no changes required).
    - Add dh-systemd to Build-Depends.
  * debian/copyright:
    - Rewrite into machine-readable format.
    - Add myself to the list of authors for debian/*.
  * debian/sane-utils.saned.init:
    - Replace avahi with avahi-daemon to make it systemd-
      compatible. (Closes: #731610)
    - Add fancy lsb output. (Closes: #676845)
      Thanks to Dirk Sandbrink <email address hidden>.
  * debian/libsane/README.Debian:
    - TROUBLESHOOTING section: Add handling of "HP ScanJet 3400 C
      type C7720A" on Device busy message. (Closes: #653857)
      Thanks to Joost van Baal-Ilić <email address hidden>.
  * debian/sane-utils.postinst:
    - Set the home directory to /var/lib/saned at adduser call.
      (Closes: #665915)
  * debian/rules:
    - libsane-common: Correct moving of HTML files to prevent
      duplicate files within the package.
    - Add systemd to dh commandline.
    - Manuelly install the systemd .socket file.
  * Add systemd support:
    - New file sane-utils.saned.system.
    - New file sane-utils.saned.socket.
  * Move /etc from libsane to libsane-common.

sane-backends (1.0.24-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * update config.* without dh-autoreconf because of local patches
    to build on ppc64el. (Closes: #759289)
 -- Iain Lane <email address hidden>   Wed, 05 Nov 2014 17:53:36 +0000

Upload details

Uploaded by:
Iain Lane
Uploaded to:
Vivid
Original maintainer:
Ubuntu Developers
Architectures:
any all
Section:
graphics
Urgency:
Medium Urgency

See full publishing history Publishing

Series Pocket Published Component Section

Downloads

File Size SHA-256 Checksum
sane-backends_1.0.24.orig.tar.gz 5.5 MiB 27c7085a54f1505d8b551e6f1e69d30e1ee57328b18429bb2225dabf4c45462d
sane-backends_1.0.24-4ubuntu1.debian.tar.xz 94.5 KiB 1d15ff466940d92c78f7296e883718e39ea3a406dd2b4a5e19eaa378e288d070
sane-backends_1.0.24-4ubuntu1.dsc 2.5 KiB aacb729ffc3488fb380bb24a0fbe3a8aa2d92d2120611c347396485a9f45334a

View changes file

Binary packages built by this source

libsane: No summary available for libsane in ubuntu wily.

No description available for libsane in ubuntu wily.

libsane-common: No summary available for libsane-common in ubuntu wily.

No description available for libsane-common in ubuntu wily.

libsane-dbg: No summary available for libsane-dbg in ubuntu wily.

No description available for libsane-dbg in ubuntu wily.

libsane-dev: No summary available for libsane-dev in ubuntu wily.

No description available for libsane-dev in ubuntu wily.

sane-utils: No summary available for sane-utils in ubuntu vivid.

No description available for sane-utils in ubuntu vivid.